public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/dwdiff/
Date: Sat, 12 Dec 2020 14:03:31 +0000 (UTC)	[thread overview]
Message-ID: <1607781807.f141b8633fc5f66026c001db910545c8a7647ef7.monsieurp@gentoo> (raw)

commit:     f141b8633fc5f66026c001db910545c8a7647ef7
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 12 14:03:13 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Dec 12 14:03:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f141b863

dev-util/dwdiff: version bump.

Closes: https://bugs.gentoo.org/759598
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-util/dwdiff/Manifest            |  1 +
 dev-util/dwdiff/dwdiff-2.1.3.ebuild | 51 +++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-util/dwdiff/Manifest b/dev-util/dwdiff/Manifest
index f8b513e7590..04b9e7a4555 100644
--- a/dev-util/dwdiff/Manifest
+++ b/dev-util/dwdiff/Manifest
@@ -1,2 +1,3 @@
 DIST dwdiff-2.1.1.tar.bz2 79628 BLAKE2B eb024d9c0eff18de9eee4a0fcf2d6a9ef6b049286ebb7f9715ddf18d920cacaab2738f04607b358be784f9d3e1c25f279ede620d412fad026f3280b9f8ee471f SHA512 b3392ef01c0701ea7738f1b539dab81727735e5de8ea77b56feae4e2f64dbda0155b479d7be0eedb65fc56ebc8d1a22c1ca67075abdec54205ad9c305b3751b7
 DIST dwdiff-2.1.2.tar.bz2 79282 BLAKE2B c938c9684d6ee1abacd77c1570b88157548e217e1837758f6c45266e29abc3857c6d4275d72126c29cc361e484722fe1d8c85a3714ac909b35a06d8390fb6506 SHA512 e4897ec3990261ddadf1fd4287902dd74c8350d11448714be8ea4b7808fc7d419ca2fd7fe65f347f46fdb1090d2d116c180a53fde3ff095027765f40acaa1c91
+DIST dwdiff-2.1.3.tar.bz2 79862 BLAKE2B 72eb07071de413526b70ebfd30030394c8bc4958bd14128b9a8b87a76561e4bfbd61064def314a4b989da027664d999cfb9a4ac9ab6f1b06cbe3f38f271e538e SHA512 e4375658ddb919d763bedacd122e5597a4c3cd40ddff2c954c6cc88e5047d20d4d3b18eaf75c6835be21e1f72e2622e25b212ae9882d8eaa36874af3f6de4b3f

diff --git a/dev-util/dwdiff/dwdiff-2.1.3.ebuild b/dev-util/dwdiff/dwdiff-2.1.3.ebuild
new file mode 100644
index 00000000000..5c70c554fff
--- /dev/null
+++ b/dev-util/dwdiff/dwdiff-2.1.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="diff-like program operating at word level instead of line level"
+HOMEPAGE="https://os.ghalkes.nl/dwdiff.html"
+SRC_URI="https://os.ghalkes.nl/dist/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="nls"
+
+CDEPEND="dev-libs/icu:="
+
+RDEPEND="
+	${CDEPEND}
+	sys-apps/diffutils"
+
+DEPEND="
+	${CDEPEND}
+	nls? ( sys-devel/gettext )"
+
+PATCHES=(
+	"${FILESDIR}/C99-fix.patch"
+)
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/INSTALL/s:COPYING::' \
+		Makefile.in || die
+}
+
+src_configure() {
+	./configure \
+		--prefix=/usr \
+		$(use_with nls gettext) || die "./configure error"
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+	emake prefix="${D}/usr" docdir="${D}/usr/share/doc/${PF}" install
+}


             reply	other threads:[~2020-12-12 14:03 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-12 14:03 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-23 19:49 [gentoo-commits] repo/gentoo:master commit in: dev-util/dwdiff/ Conrad Kostecki
2023-07-24  4:01 Sam James
2021-01-05 15:47 Andreas K. Hüttel
2020-12-28 14:16 David Seifert
2020-12-27 11:38 Sergei Trofimovich
2020-12-24 10:03 Agostino Sarubbo
2020-12-22 17:08 Thomas Deutschmann
2020-12-12 14:03 Patrice Clement
2018-12-23 21:44 Patrice Clement
2018-12-23 21:44 Patrice Clement
2018-12-23 21:44 Patrice Clement
2018-06-03 13:49 Aaron Bauman
2017-12-02 12:52 David Seifert
2017-04-19 21:54 Patrice Clement
2016-03-21 15:24 Patrice Clement
2015-12-08 10:17 Patrice Clement
2015-12-08 10:17 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607781807.f141b8633fc5f66026c001db910545c8a7647ef7.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox